Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class ContractTariffOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.tariff.option.common.bean.ContractTariffOption

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractTariffOption extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractTariffOption.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractTariffOption.Builder`
  `builder()`
  `int`
  `getActivatedMode()`
  `Date`
  `getActivatedTime()`
  `int`
  `getChargeId()`
  `int`
  `getContractId()`
  `Date`
  `getDeactivatedTime()`
  `String`
  `getOptionComment()`
  `int`
  `getOptionId()`
  `String`
  `getOptionTitle()`
  `BigDecimal`
  `getSum()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `void`
  `setActivatedMode(int activatedMode)`
  `void`
  `setActivatedTime(Date activatedTime)`
  `void`
  `setChargeId(int chargeId)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDeactivatedTime(Date deactivatedTime)`
  `void`
  `setOptionComment(String optionComment)`
  `void`
  `setOptionId(int optionId)`
  `void`
  `setOptionTitle(String optionTitle)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setTimeFrom(Date timeFrom)`
  `void`
  `setTimeTo(Date timeTo)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOption

    public ContractTariffOption()

- ## Method Details

  - ### getActivatedMode

    public int getActivatedMode()

  - ### getActivatedTime

    public Date getActivatedTime()

  - ### getChargeId

    public int getChargeId()

  - ### getContractId

    public int getContractId()

  - ### getDeactivatedTime

    public Date getDeactivatedTime()

  - ### getOptionComment

    public String getOptionComment()

  - ### getOptionId

    public int getOptionId()

  - ### getOptionTitle

    public String getOptionTitle()

  - ### getSum

    public BigDecimal getSum()

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### getTimeTo

    public Date getTimeTo()

  - ### getUserId

    public int getUserId()

  - ### getUserTitle

    public String getUserTitle()

  - ### setActivatedMode

    public void setActivatedMode(int activatedMode)

  - ### setActivatedTime

    public void setActivatedTime(Date activatedTime)

  - ### setChargeId

    public void setChargeId(int chargeId)

  - ### setContractId

    public void setContractId(int contractId)

  - ### setDeactivatedTime

    public void setDeactivatedTime(Date deactivatedTime)

  - ### setOptionComment

    public void setOptionComment(String optionComment)

  - ### setOptionId

    public void setOptionId(int optionId)

  - ### setOptionTitle

    public void setOptionTitle(String optionTitle)

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### setTimeFrom

    public void setTimeFrom(Date timeFrom)

  - ### setTimeTo

    public void setTimeTo(Date timeTo)

  - ### setUserId

    public void setUserId(int userId)

  - ### setUserTitle

    public void setUserTitle(String userTitle)

  - ### builder

    public static ContractTariffOption.Builder builder()